# Использую базовый образ Python
FROM python:3.12-slim

# Устанавливаю рабочую директорию внутри контейнера
WORKDIR /app

# Копирую файл requirements.txt в контейнер
COPY requirements.txt .

# Устанавливаю зависимости
RUN pip install --no-cache-dir -r requirements.txt

# Копирую все файлы в контейнер
COPY book_service/book_service.py .

# Команда для запуска Python-скрипта
CMD ["python", "book_service.py"]